summaryrefslogtreecommitdiff
path: root/r-doc-scripts
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-09-02 04:57:22 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-09-02 04:57:22 +0000
commitdc22033affd1d3544764f61170aec9cf3adeb941 (patch)
tree0a75f22669057813db51bf41ecf1cca526aeeda2 /r-doc-scripts
parent049d0e3fce8aec5b6734366728fff1dd3a1e235d (diff)
Updated scripts for backporting of R 2.9.2
git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@60 f247ebf9-aa24-0410-a698-f940e971ad2b
Diffstat (limited to 'r-doc-scripts')
-rw-r--r--r-doc-scripts/r-doc-html.postinst40
-rw-r--r--r-doc-scripts/r-doc-html.prerm47
-rw-r--r--r-doc-scripts/r-doc-info.postinst27
-rw-r--r--r-doc-scripts/r-doc-info.prerm25
4 files changed, 139 insertions, 0 deletions
diff --git a/r-doc-scripts/r-doc-html.postinst b/r-doc-scripts/r-doc-html.postinst
new file mode 100644
index 0000000..9f030a3
--- /dev/null
+++ b/r-doc-scripts/r-doc-html.postinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-admin
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-faq
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-ints
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-data
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-extensions
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-language
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-intro
+fi
+# End automatically added section
diff --git a/r-doc-scripts/r-doc-html.prerm b/r-doc-scripts/r-doc-html.prerm
new file mode 100644
index 0000000..811a7d8
--- /dev/null
+++ b/r-doc-scripts/r-doc-html.prerm
@@ -0,0 +1,47 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-admin
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-faq
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-ints
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-data
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-extensions
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-language
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-intro
+fi
+# End automatically added section
diff --git a/r-doc-scripts/r-doc-info.postinst b/r-doc-scripts/r-doc-info.postinst
new file mode 100644
index 0000000..77832e4
--- /dev/null
+++ b/r-doc-scripts/r-doc-info.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# postinst script for the Debian GNU/Linux r-doc-info package
+# Initial version written by Douglas Bates <bates@stat.wisc.edu>
+# This version written by Dirk Eddelbuettel <edd@debian.org>
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ install-info --quiet --section "Programming" "R-FAQ" /usr/share/info/R-FAQ.info
+ install-info --quiet --section "Programming" "R-admin" /usr/share/info/R-admin.info
+ install-info --quiet --section "Programming" "R-data" /usr/share/info/R-data.info
+ install-info --quiet --section "Programming" "R-exts" /usr/share/info/R-exts.info
+ install-info --quiet --section "Programming" "R-intro" /usr/share/info/R-intro.info
+ install-info --quiet --section "Programming" "R-ints" /usr/share/info/R-ints.info
+ install-info --quiet --section "Programming" "R-lang" /usr/share/info/R-lang.info
+
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ ;;
+esac
diff --git a/r-doc-scripts/r-doc-info.prerm b/r-doc-scripts/r-doc-info.prerm
new file mode 100644
index 0000000..95be602
--- /dev/null
+++ b/r-doc-scripts/r-doc-info.prerm
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# prerm script for the Debian GNU/Linux r-doc-info package
+# This version written by Dirk Eddelbuettel <edd@debian.org>
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ remove|purge)
+ install-info --quiet --remove R-FAQ
+ install-info --quiet --remove R-admin
+ install-info --quiet --remove R-data
+ install-info --quiet --remove R-exts
+ install-info --quiet --remove R-intro
+ install-info --quiet --remove R-ints
+ install-info --quiet --remove R-lang
+ ;;
+ upgrade|abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ ;;
+esac

Contact - Imprint